Change default avatar of KDE Identity
Closed, ResolvedPublic

Description

Change the default avatar to for example Konqi and friends (choice between multiple would be ideal) because the current default avatar does not represent most people and is not easy to change as it requires you to find and upload an image.

lavender created this task.Feb 10 2018, 9:51 AM
Restricted Application added a subscriber: sysadmin. · View Herald TranscriptFeb 10 2018, 9:51 AM

I agree, I didn't notice we had such a male-looking default (as opposed to a generic silhouette).

Changing the image can be done easily. Allowing choice from a list means changing code, and KDE Identity is a crappy system we intend to replace... not sure if there's much willingness to make code improvements. We'll see.

The current icon was sourced from the Oxygen icon set, which was the default icon set at the time.

I'd suggest we ask the Visual Design Group for a replacement, as a default icon should ideally be fairly monochrome.

@lavender Could you please inquire to the VDG regarding this?

bcooksley closed this task as Resolved.Feb 24 2018, 9:52 AM
bcooksley claimed this task.

Thanks. If you could please reopen this once a new avatar has been provided by the VDG we can then action this.

lavender added a subscriber: VDG.
bshah changed the visibility from "Custom Policy" to "Public (No Login Required)".May 23 2018, 10:37 AM
danchak added a subscriber: danchak.Jan 2 2019, 2:27 AM

Pinging to see if any action can be taken here. I recently returned to Kubuntu/Linux on a laptop after many years on OS X. The male smiley face avatar with a green tear drop for a nose looks unprofessional and didn't make a great first impression.

In the future, the best way to get ahold of VDG is via our Phabricator group (VDG) or our IRC room (#kde-vdg). See also https://community.kde.org/Get_Involved/design#communication_and_workflow

GB_2 added a subscriber: GB_2.Wed, May 1, 11:46 AM

This is the default monochrome user icon that is used everywhere in Plasma now:


I think a monochrome icon is perfectly fine.

Identity will need a PNG version of that in order to be updated.